<html data-namespace-typo3-fluid="true" lang="en"
	  xmlns:f="https://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
<f:layout name="Default" />

<f:section name="Main">
	<div class="{settings.basket.css.class.wrapper}">
		<f:if condition="{settings.detail.defaultPid} == 0">
			<div class="{settings.alerts.css.class.danger}">Please define the detail page uid!</div>
		</f:if>

		<f:flashMessages />

		<form autocomplete="off" class="{settings.basket.css.class.form}">
			<f:if condition="{basket.basketItems}">
				<f:then>
					<table class="{settings.basket.css.class.table}" data-editable="1" data-basket-type="{settings.basket.displayType}">
						<tr class="{settings.basket.css.class.tableLoading}"><td><f:translate key="tx_shop_label.loading_basket" /></td></tr>
					</table>

					<div class="{settings.basket.css.class.buttons.wrapper}">
						<f:render partial="Buttons/HistoryBack.html" section="Default" arguments="{_all}" />
						<f:for each="{settings.basketOrder.orderOptions}" as="option">
							<f:if condition="{option.active}">
								<f:link.action arguments="{type: option.type}"
											   action="checkout"
											   controller="BasketOrder"
											   pageUid="{option.checkoutPid}"
											   data="{minimum-order-value: option.minimumOrderValue, maximum-order-value: option.maximumOrderValue}"
											   class="btn btn-primary btn-sm btn-order"
											   title="{f:translate(key: option.button.title)}">
									<i class="{option.button.icon}"></i> <f:translate key="{option.button.label}" />
								</f:link.action>
							</f:if>
						</f:for>
					</div>

				</f:then>
				<f:else>
					<f:render partial="Basket/EmptyBasket" />
				</f:else>
			</f:if>
		</form>
	</div>
</f:section>
</html>
